com.ibm.openpages.api.respview

## Interface IRespViewFieldRuleController

-     public interface IRespViewFieldRuleController

  Represents a controller defined on field dependency or rule defined in a responsive view.
  Since:
    8.0.0.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Returns the name of the controller field (e.g., "OPSS-Ctl:Operating Effectiveness").
    `java.lang.Object` | `getValues()` Returns the values of the controller for which the field dependency will evaluate to true.
    `void` | `setName(java.lang.String name)` Set the name of the controller field (e.g., "OPSS-Ctl:Operating Effectiveness").
    `void` | `setValues(java.lang.Object values)` Sets the values of the controller for which the field dependency will evaluate to true.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the name of the controller field (e.g., "OPSS-Ctl:Operating Effectiveness").
      Returns:
        String name of the field

    - #### setName

          void setName(java.lang.String name)

      Set the name of the controller field (e.g., "OPSS-Ctl:Operating Effectiveness").
      Parameters:
        `name` - String name of the field

    - #### getValues

          java.lang.Object getValues()

      Returns the values of the controller for which the field dependency will evaluate to true.
      Returns:
        Object

    - #### setValues

          void setValues(java.lang.Object values)

      Sets the values of the controller for which the field dependency will evaluate to true. This take on different forms depending on the dependency type: For state dependencies can be an array of string (enum values), or a boolean. For validation dependencies can only be a boolean. For picklist dependencies can be a map (currently not supported).
      Parameters:
        `values` - Object

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.